Irrlicht Engine: irr::gui::IGUIImage Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUIImage Class Reference

GUI element displaying an image. More...

`#include <IGUIImage.h>`

Inheritance diagram for irr::gui::IGUIImage:

List of all members.

## Public Member Functions
| IGUIImage (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual bool | isAlphaChannelUsed () const =0
| Returns true if the image is using the alpha channel, false if not.
virtual bool | isImageScaled () const =0
| Returns true if the image is scaled to fit, false if not.
virtual void | setColor (video::SColor color)=0
| Sets the colour of the image.
virtual void | setImage (video::ITexture *image)=0
| Sets an image.
virtual void | setScaleImage (bool scale)=0
| Sets if the image should scale to fit the element.
virtual void | setUseAlphaChannel (bool use)=0
| Sets if the image should use its alpha channel to draw itself.

## Detailed Description

GUI element displaying an image.

Definition at line 20 of file IGUIImage.h.

## Constructor & Destructor Documentation

irr::gui::IGUIImage::IGUIImage | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle |
| ) |  |  | `[inline]`

constructor

Definition at line 25 of file IGUIImage.h.

## Member Function Documentation

virtual bool irr::gui::IGUIImage::isAlphaChannelUsed | ( |  | ) | const`[pure virtual]`

Returns true if the image is using the alpha channel, false if not.

virtual bool irr::gui::IGUIImage::isImageScaled | ( |  | ) | const`[pure virtual]`

Returns true if the image is scaled to fit, false if not.

virtual void irr::gui::IGUIImage::setColor | ( | video::SColor | color | ) | `[pure virtual]`

Sets the colour of the image.

virtual void irr::gui::IGUIImage::setImage | ( | video::ITexture * | image | ) | `[pure virtual]`

Sets an image.

virtual void irr::gui::IGUIImage::setScaleImage | ( | bool | scale | ) | `[pure virtual]`

Sets if the image should scale to fit the element.

virtual void irr::gui::IGUIImage::setUseAlphaChannel | ( | bool | use | ) | `[pure virtual]`

Sets if the image should use its alpha channel to draw itself.

The documentation for this class was generated from the following file:

- IGUIImage.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:04 2010 by Doxygen (1.6.2)